Retrieve Consent Forms
Retrieves all Consent Forms configured for the Tenant.
Retrieves all Consent Forms configured for the Tenant.
Authorization
M2MBearerToken AuthorizationBearer <token>
M2M Token for authentication
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/consent/forms"{
"Data": [
{
"IsActive": true,
"Version": 1,
"Events": [
{
"IsCustom": true,
"Name": "Register"
}
],
"StartFromDate": "2023-01-01T00:00:00Z",
"CreatedOnDate": "2023-01-01T00:00:00Z",
"ConsentOptions": [
{
"IsRequired": true,
"ConsentOptionId": "123e4567e89b12d3a456426614174000",
"IsActive": true
}
],
"TermOfService": "I agree to the terms of service.",
"PrivacyPolicy": "I agree to the Privacy Policy.",
"IsWorkflowForm": true
}
]
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}